Subject: Re: [PATCH] netdev_ops

From: Jeff Garzik <[email-masked]>
Date: Thu, 10 Jul 2003 20:53:00 -0400

David S. Miller wrote:
>    From: "Feldman, Scott" <[email-masked]>
>    Date: Thu, 10 Jul 2003 01:18:50 -0700
>    
>    With HAVE_NETDEV_OPS, you're right, we're maintaining the wrapper
>    code outside the kernel.  But, it does leave the possibility of
>    having a shared backwards compatibility code for multiple (all?)
>    drivers for those stuck with supporting kernels without netdev_ops. 
>    
> And precisely I am showing you how all this backwards compat
> stuff is going to hurt you.  You can never truly take advantage
> of things that eliminate duplicated code in all the drivers,
> and this netdev_ops case is a great example.

Actually there is a solution that IMO will make everybody happy.  Lemme 
finish writing up my comments to Matthew...

	Jeff